%   GRABCAMIMAGE.M  -   grabs an image from the webcam and returns it.
%
%   usage:      im  =   grabcamimage(webcam)
%
%   where:      webcam is an instance of Java class WebCamCapture.
%               (typically created using ???)
%
%   UWA PC307 Group M
%   By Philip Hagen
%   hagenp01@tartarus.uwa.edu.au
%   8 Oct 2003

function im  =   grabcamimage(webcam)

    if (~isa(webcam, 'WebCamCapture'))
        error('Expected: one parameter that is the webcam object (an instance of WebCamCapture), from which to grab the image.');
    end
    
    %webcam.saveCurrentImage('webcamsnapshot');
    %im = imread('webcamsnapshot' + webcam.getFileFormat);

    im = uint8( webcam.getRGBArray );
