    /**
     *  An exception class for handling an invalid parameter.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRBadParameterException extends IRException
{
    /**
     * Default constructor
     */
    public IRBadParameterException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRBadParameterException(String message)
    {
        super(message);
    }
}
