    /**
     *  An exception class for handling an invalid code when sending data.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRSendException extends IRException
{
    /**
     * Default constructor
     */
    public IRSendException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRSendException(String message)
    {
        super(message);
    }
}
