/**
 * Frame Capture Exception. This will be the exception which is called for 
 * all of the image capture operations. Hence allowing for maximum code reusability
 *
 * Exception that is thrown if the frame capture doesn't work correctly
 * @author N.Doss  07/10/2003
 * @version 1.0
 **/
public class WebCamCaptureException extends Exception {
    
    /**
     * Throws the actual Exception
     * 
     * @param msg   The Message that will be passed to the Exception Constructor.
     **/
  public WebCamCaptureException(String msg) {
    super(msg);
  }
}
