%   CLOSECAM.M  -   closes the any camera connections
%
%   usage:      im  =   closecam(webcam)
%
%   where:      webcam is an instance of Java class WebCamCapture.
%               (typically created using ???)
%
%   UWA PC307 Group M
%   By Nevin Doss
%   dossn@tartarus.uwa.edu.au
%   8 Oct 2003

function close  =   closecam(webcam)

    if (~isa(webcam, 'WebCamCapture'))
        error('Expected: one parameter that is the webcam object (an instance of WebCamCapture), from which to grab the image.');
    end
    
    webcam.quit;
    clear webcam;
