%   DOCALIBRATION.M  -  brings up a Java Swing GUI that allows
%                       the user to interactively calibrate the
%                       RCX.  Returns the calibration data.
%
%   usage:      calibdata = docalibration;
%
%
%   Note: the return value will be of type CalibrationData,
%   assuming the user calibrated the RCX successfully.
%   If the user aborted the calibration by pressing the
%   Exit button prematurely, then the return value is null.
%
%   UWA PC307 Group M
%   By Philip Hagen
%   hagenp01@tartarus.uwa.edu.au
%   8 Oct 2003

function calibdata  =   showcalibgui;

    calibdata = javaMethod('doCalibration', 'CalibrationGUI');
    
