    /**
     *  An exception class for handling an invalid response code parameter.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRBadResponseException extends IRException
{
    /**
     * Default constructor
     */
    public IRBadResponseException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRBadResponseException(String message)
    {
        super(message);
    }
}
