    /**
     *  A top-level exception class for handling communication errors.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRException extends Exception
{
    /**
     * Default constructor
     */
    public IRException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRException(String message)
    {
        super(message);
    }
}
