    /**
     *  An exception class for handling an initialization error.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRInitException extends IRException
{
    /**
     * Default constructor
     */
    public IRInitException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRInitException(String message)
    {
        super(message);
    }
}
