    /**
     *  An exception class for handling errors on the RCX.
     *
     *  @author Iavor Georgeff
     *  @version %I%, %G%
     */

public class IRRCXErrorException extends IRException
{
    /**
     * Default constructor
     */
    public IRRCXErrorException() {}

    /**
     * Constructor with an error message.
     *
     * @param   message     the string to display
     */
    public IRRCXErrorException(String message)
    {
        super(message);
    }
}
